#include <iostream>
#include <algorithm>
#include <vector>
#include <string>
#include <map>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    int t; cin >> t;
    int len = 100;

    vector<int> odgovori(101);


    for (int i = 1; i < 101; i++) {
        map<int, int> ponavljanja;
        for (int j = 1; j < i + 1; j++) {
            if (j <= 9) {
                ponavljanja[j]++;
            }
            else {
                ponavljanja[(j - j % 10) / 10 * (j % 10)]++;
            }
        }
        odgovori[i] = ponavljanja.size();
        }

        odgovori[100] = odgovori[99];

        while (t--) {
            int n; cin >> n;
            cout << odgovori[n] << "\n";
        }

    return 0;
}